Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.rest.jaxrs.container
Class CocoonJAXRSServlet

    java.lang.Object
      ServletContainer
          org.apache.cocoon.rest.jaxrs.container.CocoonJAXRSServlet

    public class CocoonJAXRSServlet

extends ServletContainer

A `Servlet` that can be used in the Cocoon Servlet-Service framework. Extending the `ServletContainer` provided by Jersey it registers all passed REST resources ( `#setRestResources(Map)` and `setRestResourcesList(List)`.

Constructor Summary
`CocoonJAXRSServlet()`

Method Summary
`protected ResourceConfig` | `getDefaultResourceConfig(Map<String,Object> props, ServletConfig servletConfig)`
`protected void` | `initiate(ResourceConfig rc, WebApplication wa)`
`void` | `service(HttpServletRequest request, HttpServletResponse response)`
`void` | `setRestResourcesList(List<Object> restResourcesList)`
`void` | `setRestResourcesMap(Map<Object,Object> restResourcesMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CocoonJAXRSServlet

    public CocoonJAXRSServlet()

Method Detail

### service

    public void service(HttpServletRequest request,
                        HttpServletResponse response)
                 throws ServletException,
                        IOException

  Throws:
    `ServletException`
    `IOException`

### setRestResourcesMap

    public void setRestResourcesMap(Map<Object,Object> restResourcesMap)

### setRestResourcesList

    public void setRestResourcesList(List<Object> restResourcesList)

### getDefaultResourceConfig

    protected ResourceConfig getDefaultResourceConfig(Map<String,Object> props,
                                                      ServletConfig servletConfig)
                                               throws ServletException

  Throws:
    `ServletException`

### initiate

    protected void initiate(ResourceConfig rc,
                            WebApplication wa)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.